---
title: Offers
slug: rainforestapi/product-data-api/parameters/offers
docTags: 
createdAt: 2024-07-30T12:48:41.128Z
---

# Offers Parameters

<font color="#52c41a">`GET`</font>  `/request`

The Offers Parameters are applicable when making a request with  `type=offers`  to retrieve seller Offers for a single product on Amazon - the product is specified using either the  `asin`  and  `amazon_domain`  parameters or the  `url`  parameter (where the  `url`  parameter contains a link to an Amazon product offers page). The parameters should be appended as querystring parameters to the Product Data API `GET` HTTP request.

Offers are retrieved from the offers listing popup window for a single product on Amazon.

![](https://apiimages.imgix.net/rainforestapi/images/png/docs/offers.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Offers Listing Page")

:::hint{type="info"}
**Lookup an ASIN by GTIN / ISBN / UPC / EAN**
Rainforest API can automatically convert GTIN/ISBN/UPC/EAN codes to ASINs and return Product Offers data for that GTIN. For details of how to lookup Amazon product details by GTIN/ISBN/UPC/EAN please see refer to the [guide](https://docs.trajectdata.com/rainforestapi/product-data-api/reference/gtin-upc-ean-to-asin).

Note that Rainforest will cache the GTIN-to-ASIN mapping for 2 months. To force a new GTIN lookup (for example, if you suspect the existing mapping is stale), use the  `skip_gtin_cache=true`  request parameter (note that using  `skip_gtin_cache=true`  decrements 2 credits from your balance, instead of 1).
:::

For example, to request Prime-eligable Offers, for products in a New Condition, for the ASIN  `B073JYC4XM`  on  `amazon.com`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.rainforestapi.com/request?api_key=demo&type=offers&amazon_domain=amazon.com&asin=B073JYC4XM&offers_prime=true&offers_condition_new=true
```

```curl
curl -L --get https://api.rainforestapi.com/request \
-d api_key="demo" \
-d type="offers" \
-d amazon_domain="amazon.com" \
-d asin="B073JYC4XM" \
-d offers_prime="true" \
-d offers_condition_new="true"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "offers",
  amazon_domain: "amazon.com",
  asin: "B073JYC4XM",
  offers_prime: "true",
  offers_condition_new: "true"
}

// make the http GET request to Rainforest API
axios.get('https://api.rainforestapi.com/request', { params })
  .then(response => {

    // print the JSON response from Rainforest API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'offers',
  'amazon_domain': 'amazon.com',
  'asin': 'B073JYC4XM',
  'offers_prime': 'true',
  'offers_condition_new': 'true'
}

# make the http GET request to Rainforest API
api_result = requests.get('https://api.rainforestapi.com/request', params)

# print the JSON response from Rainforest API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'offers',
  'amazon_domain' => 'amazon.com',
  'asin' => 'B073JYC4XM',
  'offers_prime' => 'true',
  'offers_condition_new' => 'true'
]);

# make the http GET request to Rainforest API
$ch = curl_init(sprintf('%s?%s', 'https://api.rainforestapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from Rainforest API
echo $api_result;

?>
```
:::

***

### Offers Parameters

The following parameters are available for all requests made when  `type=offers` .

| `Parameter`                        | `Required` | `Description`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| ---------------------------------- | ---------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `amazon_domain`                    | `optional` | The Amazon domain to retrieve Offers for the product specified in the `asin` parameter from. For a full list of supported Amazon domains see [Supported Amazon Domains ](https://docs.trajectdata.com/rainforestapi/product-data-api/reference/amazon-domains).  <br />**Note** : If the `amazon_domain` and `asin` parameters are supplied then the `url` parameter is ignored.                                                                                                                                                    |
| `asin`                             | `optional` | The Amazon ASIN (product ID) to retrieve Offers for. Used in combination with the `amazon_domain` parameter.  <br />**Note** : If the `asin` and `amazon_domain` parameters are supplied then the `url` parameter is ignored.                                                                                                                                                                                                                                                                                                       |
| `gtin`                             | `optional` | A GTIN, ISBN, UPC or EAN code to retrieve results for. Internally Rainforest will first convert the GTIN/ISBN/UPC/EAN to an Amazon ASIN, then retrieve the results for that ASIN from Amazon. Used in combination with the `amazon_domain` parameter.  <br />**Note** : If the `gtin` and `amazon_domain` parameters are supplied then the `url` parameter is ignored.                                                                                                                                                              |
| `skip_gtin_cache`                  | `optional` | By default Rainforest will cache the GTIN-to-ASIN mapping for 2 months. To force a new GTIN lookup (for example, if you suspect the existing mapping is stale), use the `skip_gtin_cache=true` request parameter (note that using `skip_gtin_cache=true` decrements 2 credits from your balance, instead of 1).                                                                                                                                                                                                                     |
| `url`                              | `optional` | The Amazon product-page URL to retrieve Offers from.  <br />**Note** : If the `url` parameter is supplied then the `amazon_domain` and `asin` parameters are ignored.                                                                                                                                                                                                                                                                                                                                                               |
| `offers_prime`                     | `optional` | Limit the offers returned to just those that are Prime-eligible. Valid values are:<br />1) `true`
2) Only include offers that are Prime-eligible.<br /><br />1) `false`
2) Include all offers, regardless of whether they are Prime-eligible or not.<br />*
  ![](https://apiimages.imgix.net/rainforestapi/images/png/docs/offers_prime.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=150)                                                                                                                                          |
| `offers_free_shipping`             | `optional` | Limit the offers returned to just those that have Free Shipping. Valid values are:<br />1) `true`
2) Only include offers that have Free Shipping.<br /><br />1) `false`
2) Include all offers, regardless of whether they have Free Shipping or not.<br />*
  ![](https://apiimages.imgix.net/rainforestapi/images/png/docs/offers_free_shipping.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=150)                                                                                                                                  |
| `offers_condition_new`             | `optional` | Limit the offers returned to just those that are of New Condition. Valid values are:<br />1) `true`
2) Only include offers that are New Condition.<br /><br />1) `false`
2) Include all offers, regardless of their Condition.<br />*
  ![](https://apiimages.imgix.net/rainforestapi/images/png/docs/offers_condition_new.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=150)                                                                                                                                                        |
| `offers_condition_used_like_new`   | `optional` | Limit the offers returned to just those that are of Used-Like-New Condition. Valid values are:<br />1) `true`
2) Only include offers that are Used-Like-New Condition.<br /><br />1) `false`
2) Include all offers, regardless of their Condition.<br />*
  ![](https://apiimages.imgix.net/rainforestapi/images/png/docs/offers_condition_used_like_new.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=150)                                                                                                                          |
| `offers_condition_used_very_good`  | `optional` | Limit the offers returned to just those that are of Used-Very-Good Condition. Valid values are:<br />1) `true`
2) Only include offers that are Used-Very-Good Condition.<br /><br />1) `false`
2) Include all offers, regardless of their Condition.<br />*
  ![](https://apiimages.imgix.net/rainforestapi/images/png/docs/offers_condition_used_very_good.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=150)                                                                                                                       |
| `offers_condition_used_good`       | `optional` | Limit the offers returned to just those that are of Used-Good Condition. Valid values are:<br />1) `true`
2) Only include offers that are Used-Good Condition.<br /><br />1) `false`
2) Include all offers, regardless of their Condition.<br />*
  ![](https://apiimages.imgix.net/rainforestapi/images/png/docs/offers_condition_used_good.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=150)                                                                                                                                      |
| `offers_condition_used_acceptable` | `optional` | Limit the offers returned to just those that are of Used-Acceptable Condition. Valid values are:<br />1) `true`
2) Only include offers that are Used-Acceptable Condition.<br /><br />1) `false`
2) Include all offers, regardless of their Condition.<br />*
  ![](https://apiimages.imgix.net/rainforestapi/images/png/docs/offers_condition_used_acceptable.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=150)                                                                                                                    |
| `show_different_asins`             | `optional` | Sometimes Amazon will return Offers from ASINs other than the ASIN supplied in the `asin` request parameter (for example, when the original ASIN is out of stock). `show_different_asins` controls whether you want these other-ASIN offer results returned, or not. Can be set to `true` to include offers from other ASINs, or `false` (the default) to hide offers from ASINs other than the ASIN supplied in the `asin` parameter. Note that if you supply a `url` instead of `asin` in your request this parameter is ignored. |
| `page`                             | `optional` | The current page of Offers to retrieve. Inspect the `pagination.total_pages` property in the [Offers results ](https://docs.trajectdata.com/rainforestapi/product-data-api/results/offers)to see how many pages of offers are available.                                                                                                                                                                                                                                                                                            |
| `max_page`                         | `optional` | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/rainforestapi/product-data-api/pagination)docs for more information.                                                                                                                                                                                                                       |

***

**Next Steps**
     [Offers Results](https://docs.trajectdata.com/rainforestapi/product-data-api/results/offers)
